<% add_decidim_page_title(t(".title", total: @total)) %>

<%= render "decidim/surveys/admin/surveys/tabs_menu" do %>
  <% if allowed_to? :index, :questionnaire_publish_answers, survey: @survey %>
    <% if @participants.count.zero? %>
      <%= link_to t("actions.publish_answers", scope: "decidim.forms.admin.questionnaires"), "#", class: "button button__xs button__secondary h-8", disabled: true %>
    <% else %>
      <%= link_to t("actions.publish_answers", scope: "decidim.forms.admin.questionnaires"), survey_publish_answers_path(@survey), class: "button button__xs button__secondary h-8" %>
    <% end %>
  <% end %>
<% end %>

<% if @participants.count.zero? %>
  <%= cell("decidim/announcement", { body: t("decidim.surveys.admin.answers.index.no_answers") }) %>
<% end %>

<div class="card" id="answers">
  <div class="item_show__header">
    <h1 class="item_show__header-title">
      <%= t ".title", total: @total %>

      <% if @survey.questionnaire.answers.any? %>
        <%= export_dropdown(current_component, @survey.questionnaire.id) if allowed_to? :export_answers, :questionnaire %>
      <% end %>
    </h1>
  </div>
  <div class="table-scroll">
    <table class="table-list">
      <thead>
        <tr>
          <th>#</th>
          <th><%= first_table_th(@participants.first) %></th>
          <th><%= t("user_status", scope: "decidim.forms.user_answers_serializer") %></th>
          <th><%= t("ip_hash", scope: "decidim.forms.user_answers_serializer") %></th>
          <th><%= t("completion", scope: "decidim.forms.user_answers_serializer") %></th>
          <th><%= t("created_at", scope: "decidim.forms.user_answers_serializer") %></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <% @participants.each_with_index do |participant, idx| %>
          <tr>
            <td><%= idx + 1 + page_offset %></td>
            <td>
              <% if allowed_to? :show, :questionnaire_answers %>
                <%= link_to first_table_td(participant), questionnaire_participant_answers_url(participant.session_token) %>
              <% else %>
                <%= first_table_td(participant) %></td>
              <% end %>
            <td><%= participant.status %></td>
            <td><%= participant.ip_hash %></td>
            <td><%= display_percentage(participant.completion) %></td>
            <td><%= l participant.answered_at, format: :short %></td>
            <td class="table-list__actions">
              <% if allowed_to? :show, :questionnaire_answers %>
                <%= icon_link_to "eye-line", questionnaire_participant_answers_url(participant.session_token), t("actions.show", scope: "decidim.forms.admin.questionnaires.answers"), class: "action-icon--eye", target: "_blank", data: { "external-link": false } %>
              <% end %>
              <% if allowed_to? :export_response, :questionnaire_answers %>
                <%= icon_link_to "download-line", questionnaire_export_response_url(participant.session_token), t("actions.export", scope: "decidim.forms.admin.questionnaires.answers"), class: "action-icon--data-transfer-download" %>
              <% end %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
  </div>
</div>
<%= decidim_paginate @query %>
